[ORDERED_INCLUDE]
# Common configuration, shared between test suites
"Common.cfg"
# testsuite specific configuration, not expected to change
"./GGSN_Tests.default"

# Local configuration below

[LOGGING]
*.JUnitLogger.testsuite_name := "osmo-ttcn3-hacks/ggsn_tests"

[TESTPORT_PARAMETERS]
*.GGSNVTY.CTRL_HOSTNAME := "172.18.3.2"

[MODULE_PARAMETERS]
Misc_Helpers.mp_osmo_repo := "nightly"
# our Own IP address
GGSN_Tests.m_bind_ip_gtpc := "172.18.3.1"
GGSN_Tests.m_bind_ip_gtpu := "172.18.3.1"
# GGSN IP address
GGSN_Tests.m_ggsn_ip_gtpc := "172.18.3.2"
GGSN_Tests.m_ggsn_ip_gtpu := "172.18.3.2"  # For open5gs: 172.18.3.222
# GGSN announced DNS address
GGSN_Tests.m_ggsn_ip4_dns1 := "172.18.3.201"
GGSN_Tests.m_ggsn_ip6_dns1 := "fd02:db8:3::201"

# local T3-RESPONSE timeout, seconds:
GGSN_Tests.mp_t3_response := 1;
# local N3-REQUESTS counter:
GGSN_Tests.mp_n3_requests := 2;

GGSN_Tests.m_ggsn_conf := GGSN_CONF_V4V6_ONLY
GGSN_Tests.m_ggsn_impl := GGSN_IMPL_OSMOCOM  # For open5gs: GGSN_IMPL_OPEN5GS

[EXECUTE]
GGSN_Tests.control
